
Katello - Bug #23841

hosts table still contains content_view_id and lifecycle_environment_id

06/06/2018 05:39 PM - Andrew Kofink

Status: Closed   

Priority: Low   

Assignee: Stephen Benjamin   

Category: Hosts   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1606320 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/744
Description

These fields were moved to the content_facet a long time ago, but we never removed the columns on the hosts table. They're

duplicated on katello_content_facets table.

Related issues:

Related to Katello - Bug #23781: content_source_id value is not migrated duri... Closed 06/01/2018

Associated revisions

Revision 552760af - 06/12/2018 05:55 PM - Stephen Benjamin

fixes #23841 - remove columns that were moved to facets

Content view and lifecycle environment columns were moved to the content

facet, and the db columns can be deleted.

History

#1 - 06/06/2018 05:46 PM - John Mitsch

- Category set to Hosts

- Assignee set to Stephen Benjamin

- translation missing: en.field_release set to 338

#2 - 06/06/2018 05:46 PM - Stephen Benjamin

- Related to Bug #23781: content_source_id value is not migrated during upgrade added

#3 - 06/12/2018 04:58 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7442 added

#4 - 06/12/2018 06:01 PM - Stephen Benjamin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|552760af4c817a88631c85e178f95f8acaa729fe.

#5 - 07/20/2018 07:30 PM - Andrew Kofink

- Bugzilla link set to 1606320
